# TiffCreationOptions class

TIFF creation options

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true)

## Constructors

TiffCreationOptions({bool binarized = true, int dpi = 200, TiffCompression compression = TiffCompression.LZW})
TiffCreationOptions.fromJson(Map<String, dynamic> json)
  factory

## Properties

binarized ↔ bool
  Flag to create binarized (one bit encoded) black-and-white images. If true, the input images will be binarized and the output TIFF file will be saved with one bit per pixel. If false, the input images will be stored as-is. The default value is true.
  read / write
compression ↔ TiffCompression
  TIFF compression type. Default value is "LZW". Please note that some compression types are only compatible for binarized images (1-bit encoded black & white images)!
  read / write
dpi ↔ int
  Dots Per Inches. Default value is 200dpi.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited